    import Drone from 'mapbox-plugins/src/drone.js'

public class | source

# Drone

#### Extends:

Sprite → Drone

Drone class with control method.

## Constructor Summary

Public Constructor
public | constructor() |

## Member Summary

Public Members
public | bulletNum: number |
public | bullets: *[] |
public | direction: number |
public | firing: boolean |
public | icon: * |
public | lat: * |
public | life: * |
public | lon: * |
public | manual: boolean |
public | speed: number |

## Method Summary

Public Methods
public | accelerate() |
public | fire() |
public | updateStatus() maintask start interval to update its status. |

## Inherited Summary

From class Sprite
public | direction: * |
public | icon: * |
public | iconUrl: * |
public | id: * |
public | lat: * |
public | lon: * |
public | name: * |
public | speed: * |
public | accelerate() to be overwrite. |
public | brake() |
public | turnLeft() |
public | turnRight() |
private | _init() |

## Public Constructors

### public constructor() source

#### Override:

Sprite#constructor

## Public Members

### public bulletNum: number source

### public bullets: *[] source

### public direction: number source

#### Override:

Sprite#direction

### public firing: boolean source

### public icon: * source

#### Override:

Sprite#icon

### public lat: * source

#### Override:

Sprite#lat

### public life: * source

### public lon: * source

#### Override:

Sprite#lon

### public manual: boolean source

### public speed: number source

#### Override:

Sprite#speed

## Public Methods

### public accelerate() source

to be overwrite.

#### Override:

Sprite#accelerate

### public fire() source

### public updateStatus() source

maintask start interval to update its status.